Subject: Re: NNCP path traversal attack.

From: Eugene Medvedev <[email-masked]>
Date: Fri, 19 Sep 2025 15:11:42 +0300

On Fri, 19 Sept 2025 at 15:02, John Goerzen <[email-masked]> wrote:

> Question: do you believe there is also an absolute path (path beginning
> with / ) weakness?  It looks like your patch would account for that also
> though.

The code explicitly checked for non-relative path in case of both freq
and file even before my patch, so fortunately that wasn't a concern.

-- 
Eugene Medvedev